What are the system requirements for Windstream Security Suite?

Before downloading and installing Windstream Security Suite, it is recommended that you check your system requirements.

System Requirements

Operating System

  • Microsoft Windows 10*, 8.1, 8, and 7 (32-bit and 64-bit)
  • Mac OS X 10.8 or later
  • Google Android smartphones and tablets 4.0 or higher
  • Apple iOS 8 or later

*Windows Enterprise not supported.

Supported Browsers:

  • Internet Explorer 9.0 or later
  • Firefox
  • Google Chrome
  • Safari (Mac OS only)

Required for Anti-Spam Toolbar

  • Windows Mail
  • Thunderbird 5.0+
  • McAfee Anti-Spam also supports other POP3 email clients (without SSL) and web accounts

Internet Connection Required

  • A high-speed connection is recommended

HOW CAN WE HELP YOU?

Search our article database to find answers to your question.

Discover the Services Windstream Can Bring to You

Please enter your address to see services available in your area.

Already a Windstream customer?

DISCOVER THE SERVICES WINDSTREAM CAN BRING TO YOU

Please enter your address to see services available in your area

Please try again

Please try again, or

Windstream is not available in your area

View Carriers in Your Area